## pygmsh 7.1.5

=== Makefile ===
VERSION=$(shell python3 -c "from configparser import ConfigParser; p = ConfigParser(); p.read('setup.cfg'); print(p['metadata']['version'])")

default:
	@echo "\"make publish\"?"

tag:
	# Make sure we're on the master branch
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
	# Always create a github "release" right after tagging so it appears on zenodo
	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "v$(VERSION)"}' https://api.github.com/repos/nschloe/pygmsh/releases

upload: clean
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
	# https://stackoverflow.com/a/58756491/353337
	python3 -m pep517.build --source --binary .
	twine upload dist/*

publish: tag upload

clean:
	@find . | grep -E "(__pycache__|\.pyc|\.pyo$\)" | xargs rm -rf
	@rm -rf pygmsh.egg-info/ build/ dist/

format:
	isort .
	black .
	blacken-docs README.md

lint:
	flake8 .
	isort -c .
	black --check .

doc:
	sphinx-build -M html doc/ build/

=== debian/changelog ===
pygmsh (7.1.5-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch
      19d7909b23534d6d910458450998b682f6bceab3.patch
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Fri, 08 Jan 2021 00:12:03 +1100

pygmsh (7.1.2-2) unstable; urgency=medium

  * Team upload.
  * [e39a00c] Add .gitlab-ci.yml
  * [fbe2c12] Allow reprotest to fail
  * [be36758] Disable failing test
  * [69cce34] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Sun, 03 Jan 2021 15:07:16 +0100

pygmsh (7.1.2-1) unstable; urgency=medium

  * New upstream release.
  * versioned Build-Depends: python3-meshio (>= 4.3.2~)
  * generate man page for pygmsh-optimize using help2man

 -- Drew Parsons <dparsons@debian.org>  Thu, 29 Oct 2020 00:31:56 +0800

pygmsh (7.0.2-2) unstable; urgency=medium

  * python3-pygmsh Depends: python3-gmsh
  * mark python-pygmsh-doc as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Oct 2020 13:59:42 +0800

pygmsh (7.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Build-Depends: python3-gmsh
  * update versioned Build-Depends: python3-meshio ( >= 4.3~)
  * add debian patches
    - setup.py.patch adds setup.py
      (Debian does not yet support PEP 581 and pyproject.toml)
  * - test_no_exdown.patch skips test_readme
      (exdown module is not available)
  * make mathjax replacement in docs version-independent

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Oct 2020 12:41:16 +0800

pygmsh (6.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #966918)

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Aug 2020 12:23:43 +0800

## pygmsh 7.1.8

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,13 @@
 	@echo "\"make publish\"?"
 
 tag:
-	# Make sure we're on the master branch
-	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
+	# Make sure we're on the main branch
+	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "main" ]; then exit 1; fi
 	# Always create a github "release" right after tagging so it appears on zenodo
 	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "v$(VERSION)"}' https://api.github.com/repos/nschloe/pygmsh/releases
 
 upload: clean
-	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
+	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "main" ]; then exit 1; fi
 	# https://stackoverflow.com/a/58756491/353337
 	python3 -m pep517.build --source --binary .
 	twine upload dist/*

=== doc/requirements.txt ===
mock
numpy
sphinxcontrib-napoleon

=== debian/changelog ===
pygmsh (7.1.8-1) unstable; urgency=medium

  * New upstream release.
  * update debian patch test_no_exdown.patch to handle the missing
    exdown module with a try..except block

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Feb 2021 16:30:32 +0100

=== debian/control ===
Source: pygmsh
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-all,
 python3-gmsh, gmsh,
 python3-meshio (>= 4.3.2~), python3-meshio (<< 5),
 python3-numpy (>= 1.9~),
 python3-setuptools (>= 42~),
 python3-sphinx,
 python3-wheel
Build-Depends-Indep: libjs-mathjax
Standards-Version: 4.5.1
Homepage: https://github.com/nschloe/pygmsh
Vcs-Browser: https://salsa.debian.org/science-team/pygmsh
Vcs-Git: https://salsa.debian.org/science-team/pygmsh.git
Testsuite: autopkgtest-pkg-python

Package: python3-pygmsh
Architecture: all
Depends: python3-gmsh, gmsh,
 ${python3:Depends}, ${misc:Depends}
Suggests: python-pygmsh-doc
Description: combine the power of Gmsh with the versatility of Python
 Gmsh is a powerful mesh generation tool with a scripting language
 that is notoriously hard to write.
 .
 The goal of pygmsh is to combine the power of Gmsh with the
 versatility of Python and to provide useful abstractions from the
 Gmsh scripting language so you can create complex geometries more
 easily.
 .
 This package installs the library for Python 3.

Package: python-pygmsh-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-mathjax, ${sphinxdoc:Depends}, ${misc:Depends}
Description: combine the power of Gmsh with the versatility of Python (docs)
 Gmsh is a powerful mesh generation tool with a scripting language
 that is notoriously hard to write.
 .
 The goal of pygmsh is to combine the power of Gmsh with the
 versatility of Python and to provide useful abstractions from the
 Gmsh scripting language so you can create complex geometries more
 easily.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pygmsh

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml doc/ build/html # HTML generator

override_dh_sphinxdoc:
	dh_sphinxdoc
	grep -s -G "https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js" debian/python-pygmsh-doc/usr/share/doc/python-pygmsh-doc/html/* -R --files-with-matches | xargs -r sed "s|https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js|file://usr/share/javascript/mathjax/unpacked/latest.js|g" -i

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pygmsh-$1.tar.gz%" \
   https://github.com/nschloe/pygmsh/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## pygmsh 7.1.17

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pygmsh.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pygmsh.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pygmsh"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pygmsh"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== doc/requirements.txt ===
mock
numpy
sphinxcontrib-napoleon
sphinx-autodoc-typehints

=== debian/changelog ===
pygmsh (7.1.17-1) unstable; urgency=medium

  * New upstream release.
    - versioned Build-Depends: python3-numpy (>= 1.20.0~)
    - Build-Depends-Indep: python3-sphinx-autodoc-typehints (for docs)
  * Build-Depends: pybuild-plugin-pyproject, flit to build with
    pyproject.toml with no setup.py
    - drop debian patch setup.py.patch
  * build docs using default python, after dh_auto_build-indep
  * debian patch doc_local_mathjax.patch uses local mathjax to build
    docs

 -- Drew Parsons <dparsons@debian.org>  Fri, 28 Jan 2022 15:00:57 +0100

pygmsh (7.1.12-1) unstable; urgency=medium

  * New upstream release.
    - bumps up meshio roof, Build-Depends: python3-meshio (<< 6)
  * add :any to Build-Depends: python3-all:any
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 02 Nov 2021 13:35:19 +0100

pygmsh (7.1.11-1) unstable; urgency=medium

  * New upstream release.
    - deprecates debian patch test_no_exdown.patch
  * use triple-slash for mathjax file references in docs
  * use pybuild {build_dir} to build docs

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Aug 2021 00:34:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,18 @@
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject, flit,
  python3-setuptools,
- python3-all,
+ python3-all:any,
  python3-gmsh, gmsh,
- python3-meshio (>= 4.3.2~), python3-meshio (<< 5),
- python3-numpy (>= 1.9~),
+ python3-meshio (>= 4.3.2~), python3-meshio (<< 6),
+ python3-numpy (>= 1.20.0~),
  python3-setuptools (>= 42~),
  python3-sphinx,
  python3-wheel
-Build-Depends-Indep: libjs-mathjax
-Standards-Version: 4.5.1
+Build-Depends-Indep: libjs-mathjax,
+ python3-sphinx-autodoc-typehints,
+Standards-Version: 4.6.0
 Homepage: https://github.com/nschloe/pygmsh
 Vcs-Browser: https://salsa.debian.org/science-team/pygmsh
 Vcs-Git: https://salsa.debian.org/science-team/pygmsh.git

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pygmsh

PY3VER_DEFAULT=$(shell py3versions -d -v)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=.pybuild/cpython3_$(PY3VER_DEFAULT)_$(PYBUILD_NAME)/build python3 -m sphinx -N -bhtml doc/ build/html # HTML generator

=== debian/tests/control ===
Test-Command: pytest-3
Depends: @, @builddeps@,
 python3-pytest
